<?
include("../fnc.php");
enlinea_alumno();
if(!$idev){
  alert("Parámetros incorrectos","frm_login.php");
}
$id_ev=dec($idev);
$id_curso = dec($idc);
$qev=mysql_query("select * from encuestas where id = $id_ev and para = 'Alumno'");
if(mysql_num_rows($qev)==0){
  alert("La encuesta no existe","frm_login.php");
}else{
  $iev=mysql_fetch_array($qev);
}
$asar="N";
switch($asar){
case "S":
break; // fin de las preguntas al azar
//***************** PREGUNTAS EN ORDEN DE INGRESO
case "N":
$qprespond=runsql("select * 
                        from ec_respuestas
                        where 
                        evaluacion='$id_ev'
                        and alumno='$uuser'
                        and catedratico = '".dec($id_cat)."'
                        and curso ='$id_curso'");
$cnt_contestadas=0;
$lst="(0";
while($ipdrespond=mysql_fetch_array($qprespond)){
 $lst.=",{$ipdrespond[pregunta]}";
 $cnt_contestadas++;
}
$lst.=")";
$qprg=mysql_query("select *
                   from ec_preguntas
                   where 
                   evaluacion = '$id_ev'
                   and id not in $lst
                   order by id");
if(mysql_num_rows($qprg)==0){
  alert("Muchas gracias por responder la evaluacion del catedratico $nombre_catedratico,\\nya respondió todas las preguntas.","frm_ec_seleccion.php?idev=$idev");
}

$qtotalprg=mysql_query("select count(*) as cant from ec_preguntas where evaluacion = '$id_ev'");
$itotalprg=mysql_fetch_array($qtotalprg);
$total_preguntas=$itotalprg[cant];
$iprg=mysql_fetch_array($qprg);
$prog=round($cnt_contestadas/$total_preguntas*100,0);
header("Location: frm_ec_mprg.php?idcat=$id_cat&idc=$idc&idev=$idev&idp=".enc($iprg[id])."&prog=$prog");
break;
}
?>
